<template>
  <a-cascader :value="selectValue" :options="allList" placeholder="选择商户类别" @change="changeFunc" :getPopupContainer="(triggerNode) => (triggerNode.parentElement)" />
</template>
<script lang="ts" setup>
import { defineProps, defineEmits, computed } from 'vue'
import allList from './mccDgUnionMerType.json'

// 定义组件的传入参数 
const props = defineProps({
    value: { type: String, default: '' }
})

// emit： 向父组件进行通讯。 
const emit = defineEmits(['update:value'])

// 计算属性 
const selectValue = computed(() => {
   if (props.value){
    return [queryOne(props.value), props.value]
  }
  return null
})

// 当属性发生了变化， 需要通过函数向父组件通信 --》 父组件再通知子组件进行数据的变化。 
function changeFunc(value){
    emit('update:value', value[1])
}

// 查找一级分类
function queryOne(val){
    let result = allList.filter( (v) => {
        if(v.children){
            return v.children.filter( (v2) => v2.value == val).length > 0 
        }
        return false
    })

    return result.length > 0 ? result[0].value : null
}

</script>

